<% title h(@title) %>
<% breadcrumb workspace_link, bruteforce_link, link_to("Credential Import", "#") %>


<%= required_label %>

<% if current_user and @workspace and @workspace.manageable_by?(current_user) %>
	<div class="one_col_no_sidebar">
		<%= semantic_form_for @task, :html => {:multipart => true}, :url => start_import_creds_path do |f| %>
			<%= f.inputs "Credential File" do -%>
				<%= render :partial => 'import_creds_fields', :locals => {:f => f} %>
			<% end -%>

			<%= f.actions do -%>
				<span class="btn">
					<%= f.submit "Upload", :id => "popup_submit", :class => "new" %>
				</span>
			<% end %>

			<%= f.help_link :file do -%>
				<h3> File format for importing credentials</h3>
				<p> Credential files are text files which can be one of a number of formats.  </p>
				<h4>Usernames and Passwords</h4>
				<p>The basic format is a text file containing one username and password per line, with a space seperating the username from the password. Also acceptable are lines with a single username followed by a number of passwords, such as "user1 pass1 pass2 pass3." If spaces are required as part of the username or password, the space should be hex-encoded as "\x20." Incidentally, any character may be hex encoded this way.</p>
				<h4>Usernames only</h4>
				<p>A text file of usernames, one per line. Again, if a user requires a space in its name, it should be hex-encoded.</p>
				<h4>Passwords only</h4>
				<p>A text file containing one password per line.</p>
				<h4>PWDump</h4> 
				<p>A PWDump-formatted text file containing SMB Hashes, one per line, and optionally, space-delimited username password pairs, such as the files generated by a <%= link_to "Metasploit PWDump export", new_workspace_export_path(@workspace) %>. SMB hash credentials from PWDump files will only be attempted against services which accept SMB hashes as plaintext passwords.</p>
			<% end -%>
		<% end -%>

		<% if @workspace.cred_files and !@workspace.cred_files.empty? %>
			<h1> Manage Imported Credentials </h1>
			<div id="brute_cred_file_table">
				<table width="100%" class="list mar-tb10">
					<thead>
						<tr>
							<th> Name </th>
							<th> Type </th>
							<th> Description </th>
							<th> Actions </th>
						</tr>
					</thead>
					<tbody id="cred_file_list">
						<% @workspace.cred_files.each do |cred_file| %>
							<%= form_for @task, :url => {:action => :update_cred_file} do |f| %>
								<%= f.hidden_field "cred_file_id", {:value => cred_file.id} %>
								<tr class="<%=h row_cycle %>">
									<td align="left" valign="top">
										<%= f.text_field :name, :value => h(cred_file.display_name), :size => cred_file.display_name.size + 1 %>
									</td>
									<td align="left" valign="top">
										<%= f.select :file_type, CredFile::FILE_TYPE_LABEL_BY_FILE_TYPE.invert, :selected => cred_file.ftype %>
									</td>
									<td align="left" valign="top">
										<%=f.text_area :desc, {:rows => 4, :cols => 25, :value => cred_file.desc} %>
									</td>
									<td>
										<span class="btn"><%= f.submit "Update #{h(cred_file.display_name)}", :class => "edit" %></span><br/><br/>
										<span class="btn"><%= f.submit "Delete #{h(cred_file.display_name)}", :confirm => "Delete #{h(cred_file.display_name)}?", :class => "delete" %></span><br/><br/>
										<span class="btn"><%= f.submit "Download #{h(cred_file.display_name)}", :class => "download" %></span>
									</td>
								</tr>
							<% end %>
						<% end %>
					</tbody>
				</table>
			</div>
		<% end %>
	</div>
<% end # admin check %> 

